api-version: 1.13

name: BigTNTs
version: a0.2
author: JokerZappie
main: netherlands.quinten.bigtnts.BigTntsPlugin

#commands:
#  bigtnts:
#    description: Help command
#    usage: Type "/help BigTNTs" to get a list of available commands


#######################################################################################################################
# Changelog
#######################################################################################################################
#
# 29-07-2018: d0.1
# TNT should be combinable but the info is lost when placing.
#
# 29-07-2018: d0.2
# Wrote whole concept of the plugin but not tested yet.
#
# 29-07-2018: d0.3
# Fixed all occurring bugs when testing.
#
# 29-07-2018: d0.4
# Placed TNTs is now saved organized by world instead of having the world name added to each entry.
#
# 29-07-2018: d0.5
# Fixed TNT not requiring to explode at the exact position it was placed.
#
# 29-07-2018: d0.6
# Added fuse time multiplier to config. Added combining limit check when crafting.
#
# 30-07-2018: d0.7
# Fixed some occurring errors.
#
# 30-07-2018: d0.8
# Wrote a timer for checking when tnt is ignited.
#
# 30-07-2018: d0.9
# Fixed unable to craft any tnt bug.
#
# 30-07-2018: d1.0
# Fixed crafting related bugs (shift-click/multiple crafting won't make you lose items).
# Disabled shift-click for now.
#
# 30-07-2018: d1.1
# Added actual support for less than 9 multiplication. And cleared up a little bit of code.
# Added a 'fix frozen world' option in the config.
#
# 30-07-2018: d1.2
# Fixed some more (crafting) bugs.
#
# 08-08-2018: a0.1
# Added logging bool to SlickBukkitYML BukkitYmlFile constructor.
# Removed useless command.
# Known bugs: Minecart tnt not supported so will probably not work. Dispenser not supported so might not work. Big tnt might explode as a normal tnt, if this happens you can place a regular tnt at the same location and ignite it again to still get the big explosion.
#
# 08-08-2018: a0.2
# Disabled hard-coded debug logs.
# Changed default values of config: limit from 150 to 50 and multiplication from 4 to 2.
#
#######################################################################################################################
#
# Version management:
# pre-decimal = major
# post-decimal = minor
#
# prefixes:
# d = development
# a = alpha (unstable release with bugs)
# b = beta  (stable release with probable bugs)
#
#######################################################################################################################